# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pusher_notifications_ruby'

Gem::Specification.new do |spec|
  spec.name          = 'pusher_notifications_ruby'
  spec.version       = PusherNotification::VERSION
  spec.authors       = ['Noah Matisoff']
  spec.email         = ['noah@matisoff.me"']

  spec.summary       = 'Pusher Push Notification Ruby SDK'
  spec.description   = 'Pusher Push Notification Ruby SDK'
  spec.homepage      = 'https://github.com/matisoffn/pusher-notifications-ruby'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.15'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_dependency 'faraday', '~> 0.14'
end
